class CategoriesController < ApplicationController

  def allows_to?(action)
    allows_to = case(action)
    when "index", "show", "new", "create", "edit", "update" then current_user.has_role?("editor")
    when "destroy" then current_user.has_role?("admin")
    else false
    end
    return(allows_to)
  end

  def index
    @categories = Category.all(:conditions => {:parent_id => nil})
  end

  def show
    @category = Category.find(params[:id])
  end

  def new
    @category = Category.new
  end

  def create
    @category = Category.new(params[:category])
    if @category.save
      redirect_to(@category, :notice => t(:notice_category_created))
    else
      render(:action => :new)
    end
  end

  def edit
    @category = Category.find(params[:id])
  end

  def update
    @category = Category.find(params[:id])
    if @category.update_attributes(params[:category])
      redirect_to(@category, :notice => t(:notice_category_updated))
    else
      render(:action => :edit)
    end
  end

  def destroy
    @category = Category.find(params[:id])
    @category.destroy
    redirect_to(categories_url)
  end

end
