module SettingsHelper

  def setting_label(setting, options = {})
    label = options.delete(:label)
    return((label != false) ? content_tag(:label, t(label || "setting_#{setting}") + ":", options.merge({:class => :tabular})) : "")
  end

  def setting_password_field(setting, options = {})
    return(setting_label(setting, options) +
           password_field_tag("settings[#{setting}]", Setting.send(setting), options.merge({:class => :tabular})))
  end

  def setting_text_field(setting, options = {})
    return(setting_label(setting, options) +
           text_field_tag("settings[#{setting}]", Setting.send(setting), options.merge({:class => :tabular})))
  end

  def setting_text_area(setting, options = {})
    return(setting_label(setting, options) +
           text_area_tag("settings[#{setting}]", Setting.send(setting), options.merge({:class => :tabular})))
  end

end
