TestsOnRails::Application.routes.draw do

  # The priority is based upon order of creation:
  # first created -> highest priority.

  resources(:categories)
  resources(:exams)
  resources(:files)
  resources(:questions)
  resources(:user_sessions)
  resources(:users)

  match "exams/:id/question/:position" => "exams#question_new", :as => :exams_question_new
  match "exams/:id/question_create/:position" => "exams#question_create", :as => :exams_question_create
  match "exams/:id/end" => "exams#end", :as => :end

  match "questions/:id/disable" => "questions#disable"
  match "questions/:id/enable" => "questions#enable"

  match "login" => "user_sessions#new", :as => :login
  match "logout" => "user_sessions#destroy", :as => :logout
  match "change_user" => "user_sessions#change_user", :as => :change_user

  match "settings" => "settings#edit", :as => :settings
  match "settings/update" => "settings#update", :as => :settings_update

  # Sample of regular route:
  #   match 'products/:id' => 'catalog#view'
  # Keep in mind you can assign values other than :controller and :action

  # Sample of named route:
  #   match 'products/:id/purchase' => 'catalog#purchase', :as => :purchase
  # This route can be invoked with purchase_url(:id => product.id)

  # Sample resource route (maps HTTP verbs to controller actions automatically):
  #   resources :products

  # Sample resource route with options:
  #   resources :products do
  #     member do
  #       get 'short'
  #       post 'toggle'
  #     end
  #
  #     collection do
  #       get 'sold'
  #     end
  #   end

  # Sample resource route with sub-resources:
  #   resources :products do
  #     resources :comments, :sales
  #     resource :seller
  #   end

  # Sample resource route with more complex sub-resources
  #   resources :products do
  #     resources :comments
  #     resources :sales do
  #       get 'recent', :on => :collection
  #     end
  #   end

  # Sample resource route within a namespace:
  #   namespace :admin do
  #     # Directs /admin/products/* to Admin::ProductsController
  #     # (app/controllers/admin/products_controller.rb)
  #     resources :products
  #   end

  # You can have the root of your site routed with "root"
  # just remember to delete public/index.html.
  # root :to => 'welcome#index'
  root(:to => "exams#new")

  # See how all your routes lay out with "rake routes"

  # This is a legacy wild controller route that's not recommended for RESTful applications.
  # Note: This route will make all actions in every controller accessible via GET requests.
  # match ':controller(/:action(/:id(.:format)))'

end
